﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.Serialization;
using System.Net;
using System.IO;
using System.Diagnostics;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private string ExecuteCloudAPI(string strURL, string strOutFile)
        {
            Debug.WriteLine(strURL);
            WebRequest request = HttpWebRequest.Create(strURL);
            WebResponse response = request.GetResponse();
            StreamReader reader = new StreamReader(response.GetResponseStream());
            string strResponse = reader.ReadToEnd();
            string strFileURLOnServer = strResponse.Replace("<br>", "");
            strFileURLOnServer = strFileURLOnServer.Replace("[Output]", "");

            string appPath = Path.GetDirectoryName(Application.ExecutablePath);
            strOutFile = appPath + "\\" + strOutFile;

            Debug.WriteLine(strFileURLOnServer);
            Debug.WriteLine(strOutFile);

            WebClient webClient = new WebClient();
            webClient.DownloadFile(new Uri(strFileURLOnServer), strOutFile);
            return strOutFile;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //http://www.verypdf.com/online/cloud-api/index.html
            //http://www.verypdf.com/wordpress/category/verypdf-cloud-api

            string strAPIKEY = "XXXX-XXXX-XXXX-XXXX";
            {
                string strOutputFile = "verypdf.jpg";
                string strURL = "http://online.verypdf.com/api/?apikey=" + strAPIKEY
                    + "&app=html2image&infile=http://www.verypdf.com&outfile="
                    + strOutputFile;
                string strLocalFile = ExecuteCloudAPI(strURL, strOutputFile);
                MessageBox.Show(strLocalFile);
            }
            {
                string strOutputFile = "verypdf.pdf";
                string strURL = "http://online.verypdf.com/api/?apikey=" + strAPIKEY
                    + "&app=html2pdf&infile=http://www.verypdf.com&outfile="
                    + strOutputFile;
                string strLocalFile = ExecuteCloudAPI(strURL, strOutputFile);
                MessageBox.Show(strLocalFile);
            }
        }
    }
}
